diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/model/cobalt-queue-disc.h ns-3.44/src/traffic-control/model/cobalt-queue-disc.h
--- ns-3.43/src/traffic-control/model/cobalt-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/model/cobalt-queue-disc.h	2025-03-09 16:55:49.707372200 -0700
@@ -37,9 +37,9 @@
 class TraceContainer;
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
- * \brief Cobalt packet queue disc
+ * @brief Cobalt packet queue disc
  *
  * Cobalt uses CoDel and BLUE algorithms in parallel, in order
  * to obtain the best features of each. CoDel is excellent on flows
@@ -50,43 +50,43 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief CobaltQueueDisc Constructor
+     * @brief CobaltQueueDisc Constructor
      *
      * Create a Cobalt queue disc
      */
     CobaltQueueDisc();
 
     /**
-     * \brief Destructor
+     * @brief Destructor
      *
      * Destructor
      */
     ~CobaltQueueDisc() override;
 
     /**
-     * \brief Get the target queue delay
+     * @brief Get the target queue delay
      *
-     * \returns The target queue delay
+     * @returns The target queue delay
      */
     Time GetTarget() const;
 
     /**
-     * \brief Get the interval
+     * @brief Get the interval
      *
-     * \returns The interval
+     * @returns The interval
      */
     Time GetInterval() const;
 
     /**
-     * \brief Get the time for next packet drop while in the dropping state
+     * @brief Get the time for next packet drop while in the dropping state
      *
-     * \returns The time (in microseconds) for next packet drop
+     * @returns The time (in microseconds) for next packet drop
      */
     int64_t GetDropNext() const;
 
@@ -99,9 +99,9 @@
         "CE threshold exceeded mark"; //!< Sojourn time above CE threshold
 
     /**
-     * \brief Get the drop probability of Blue
+     * @brief Get the drop probability of Blue
      *
-     * \returns The current value of Blue's drop probability
+     * @returns The current value of Blue's drop probability
      */
     double GetPdrop() const;
 
@@ -110,8 +110,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -125,7 +125,7 @@
 
   protected:
     /**
-     * \brief Dispose of the object
+     * @brief Dispose of the object
      */
     void DoDispose() override;
 
@@ -136,30 +136,30 @@
     bool CheckConfig() override;
 
     /**
-     * \brief Initialize the queue parameters.
+     * @brief Initialize the queue parameters.
      */
     void InitializeParams() override;
 
     /**
-     * \brief Calculate the reciprocal square root of m_count by using Newton's method
+     * @brief Calculate the reciprocal square root of m_count by using Newton's method
      *  http://en.wikipedia.org/wiki/Methods_of_computing_square_roots#Iterative_methods_for_reciprocal_square_roots
      * m_recInvSqrt (new) = (m_recInvSqrt (old) / 2) * (3 - m_count * m_recInvSqrt^2)
      */
     void NewtonStep();
 
     /**
-     * \brief Determine the time for next drop
+     * @brief Determine the time for next drop
      * CoDel control law is t + m_interval/sqrt(m_count).
      * Here, we use m_recInvSqrt calculated by Newton's method in NewtonStep() to avoid
      * both sqrt() and divide operations
      *
-     * \param t Current next drop time
-     * \returns The new next drop time:
+     * @param t Current next drop time
+     * @returns The new next drop time:
      */
     int64_t ControlLaw(int64_t t);
 
     /**
-     * \brief Updates the inverse square root
+     * @brief Updates the inverse square root
      */
     void InvSqrt();
 
@@ -194,13 +194,13 @@
 
     /**
      * Called when the queue becomes full to alter the drop probabilities of Blue
-     * \param now time in CoDel time units (microseconds)
+     * @param now time in CoDel time units (microseconds)
      */
     void CobaltQueueFull(int64_t now);
 
     /**
      * Called when the queue becomes empty to alter the drop probabilities of Blue
-     * \param now time in CoDel time units (microseconds)
+     * @param now time in CoDel time units (microseconds)
      */
     void CobaltQueueEmpty(int64_t now);
 
@@ -208,9 +208,9 @@
      * Called to decide whether the current packet should be dropped based on decisions taken by
      * Blue and Codel working parallelly
      *
-     * \return true if the packet should be dropped, false otherwise
-     * \param item current packet
-     * \param now time in CoDel time units (microseconds)
+     * @return true if the packet should be dropped, false otherwise
+     * @param item current packet
+     * @param now time in CoDel time units (microseconds)
      */
     bool CobaltShouldDrop(Ptr<QueueDiscItem> item, int64_t now);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/model/codel-queue-disc.cc ns-3.44/src/traffic-control/model/codel-queue-disc.cc
--- ns-3.43/src/traffic-control/model/codel-queue-disc.cc	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/model/codel-queue-disc.cc	2025-03-09 16:55:49.707372200 -0700
@@ -31,9 +31,9 @@
 /**
  * Performs a reciprocal divide, similar to the
  * Linux kernel reciprocal_divide function
- * \param A numerator
- * \param R reciprocal of the denominator B
- * \return the value of A/B
+ * @param A numerator
+ * @param R reciprocal of the denominator B
+ * @return the value of A/B
  */
 /* borrowed from the linux kernel */
 static inline uint32_t
@@ -46,7 +46,7 @@
 
 /**
  * Returns the current time translated in CoDel time representation
- * \return the current time
+ * @return the current time
  */
 static uint32_t
 CoDelGetTime()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/model/codel-queue-disc.h ns-3.44/src/traffic-control/model/codel-queue-disc.h
--- ns-3.43/src/traffic-control/model/codel-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/model/codel-queue-disc.h	2025-03-09 16:55:49.707372200 -0700
@@ -44,9 +44,9 @@
 class TraceContainer;
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
- * \brief A CoDel packet queue disc
+ * @brief A CoDel packet queue disc
  */
 
 class CoDelQueueDisc : public QueueDisc
@@ -54,13 +54,13 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief CoDelQueueDisc Constructor
+     * @brief CoDelQueueDisc Constructor
      *
      * Creates a CoDel queue
      */
@@ -69,23 +69,23 @@
     ~CoDelQueueDisc() override;
 
     /**
-     * \brief Get the target queue delay
+     * @brief Get the target queue delay
      *
-     * \returns The target queue delay
+     * @returns The target queue delay
      */
     Time GetTarget();
 
     /**
-     * \brief Get the interval
+     * @brief Get the interval
      *
-     * \returns The interval
+     * @returns The interval
      */
     Time GetInterval();
 
     /**
-     * \brief Get the time for next packet drop while in the dropping state
+     * @brief Get the time for next packet drop while in the dropping state
      *
-     * \returns The time for next packet drop
+     * @returns The time for next packet drop
      */
     uint32_t GetDropNext();
 
@@ -103,56 +103,56 @@
     friend class ::CoDelQueueDiscNewtonStepTest; // Test code
     friend class ::CoDelQueueDiscControlLawTest; // Test code
     /**
-     * \brief Add a packet to the queue
+     * @brief Add a packet to the queue
      *
-     * \param item The item to be added
-     * \returns True if the packet can be added, False if the packet is dropped due to full queue
+     * @param item The item to be added
+     * @returns True if the packet can be added, False if the packet is dropped due to full queue
      */
     bool DoEnqueue(Ptr<QueueDiscItem> item) override;
 
     /**
-     * \brief Remove a packet from queue based on the current state
+     * @brief Remove a packet from queue based on the current state
      * If we are in dropping state, check if we could leave the dropping state
      * or if we should perform next drop
      * If we are not currently in dropping state, check if we need to enter the state
      * and drop the first packet
      *
-     * \returns The packet that is examined
+     * @returns The packet that is examined
      */
     Ptr<QueueDiscItem> DoDequeue() override;
 
     bool CheckConfig() override;
 
     /**
-     * \brief Calculate the reciprocal square root of m_count by using Newton's method
+     * @brief Calculate the reciprocal square root of m_count by using Newton's method
      *  http://en.wikipedia.org/wiki/Methods_of_computing_square_roots#Iterative_methods_for_reciprocal_square_roots
      * m_recInvSqrt (new) = (m_recInvSqrt (old) / 2) * (3 - m_count * m_recInvSqrt^2)
-     * \param recInvSqrt reciprocal value of sqrt (count)
-     * \param count count value
-     * \return The new recInvSqrt value
+     * @param recInvSqrt reciprocal value of sqrt (count)
+     * @param count count value
+     * @return The new recInvSqrt value
      */
     static uint16_t NewtonStep(uint16_t recInvSqrt, uint32_t count);
 
     /**
-     * \brief Determine the time for next drop
+     * @brief Determine the time for next drop
      * CoDel control law is t + m_interval/sqrt(m_count).
      * Here, we use m_recInvSqrt calculated by Newton's method in NewtonStep() to avoid
      * both sqrt() and divide operations
      *
-     * \param t Current next drop time (in units of CoDel time)
-     * \param interval interval (in units of CoDel time)
-     * \param recInvSqrt reciprocal value of sqrt (count)
-     * \return The new next drop time (in units of CoDel time)
+     * @param t Current next drop time (in units of CoDel time)
+     * @param interval interval (in units of CoDel time)
+     * @param recInvSqrt reciprocal value of sqrt (count)
+     * @return The new next drop time (in units of CoDel time)
      */
     static uint32_t ControlLaw(uint32_t t, uint32_t interval, uint32_t recInvSqrt);
 
     /**
-     * \brief Determine whether a packet is OK to be dropped. The packet
+     * @brief Determine whether a packet is OK to be dropped. The packet
      * may not be actually dropped (depending on the drop state)
      *
-     * \param item The packet that is considered
-     * \param now The current time represented as 32-bit unsigned integer (us)
-     * \returns True if it is OK to drop the packet (sojourn time above target for at least
+     * @param item The packet that is considered
+     * @param now The current time represented as 32-bit unsigned integer (us)
+     * @returns True if it is OK to drop the packet (sojourn time above target for at least
      * interval)
      */
     bool OkToDrop(Ptr<QueueDiscItem> item, uint32_t now);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/model/fifo-queue-disc.h ns-3.44/src/traffic-control/model/fifo-queue-disc.h
--- ns-3.43/src/traffic-control/model/fifo-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/model/fifo-queue-disc.h	2025-03-09 16:55:49.707372200 -0700
@@ -15,7 +15,7 @@
 {
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
  * Simple queue disc implementing the FIFO (First-In First-Out) policy.
  *
@@ -24,12 +24,12 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief FifoQueueDisc constructor
+     * @brief FifoQueueDisc constructor
      *
      * Creates a queue with a depth of 1000 packets by default
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/model/fq-cobalt-queue-disc.h ns-3.44/src/traffic-control/model/fq-cobalt-queue-disc.h
--- ns-3.43/src/traffic-control/model/fq-cobalt-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/model/fq-cobalt-queue-disc.h	2025-03-09 16:55:49.707372200 -0700
@@ -27,29 +27,29 @@
 {
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
- * \brief A flow queue used by the FqCobalt queue disc
+ * @brief A flow queue used by the FqCobalt queue disc
  */
 
 class FqCobaltFlow : public QueueDiscClass
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief FqCobaltFlow constructor
+     * @brief FqCobaltFlow constructor
      */
     FqCobaltFlow();
 
     ~FqCobaltFlow() override;
 
     /**
-     * \enum FlowStatus
-     * \brief Used to determine the status of this flow queue
+     * @enum FlowStatus
+     * @brief Used to determine the status of this flow queue
      */
     enum FlowStatus
     {
@@ -59,38 +59,38 @@
     };
 
     /**
-     * \brief Set the deficit for this flow
-     * \param deficit the deficit for this flow
+     * @brief Set the deficit for this flow
+     * @param deficit the deficit for this flow
      */
     void SetDeficit(uint32_t deficit);
     /**
-     * \brief Get the deficit for this flow
-     * \return the deficit for this flow
+     * @brief Get the deficit for this flow
+     * @return the deficit for this flow
      */
     int32_t GetDeficit() const;
     /**
-     * \brief Increase the deficit for this flow
-     * \param deficit the amount by which the deficit is to be increased
+     * @brief Increase the deficit for this flow
+     * @param deficit the amount by which the deficit is to be increased
      */
     void IncreaseDeficit(int32_t deficit);
     /**
-     * \brief Set the status for this flow
-     * \param status the status for this flow
+     * @brief Set the status for this flow
+     * @param status the status for this flow
      */
     void SetStatus(FlowStatus status);
     /**
-     * \brief Get the status of this flow
-     * \return the status of this flow
+     * @brief Get the status of this flow
+     * @return the status of this flow
      */
     FlowStatus GetStatus() const;
     /**
-     * \brief Set the index for this flow
-     * \param index the index for this flow
+     * @brief Set the index for this flow
+     * @param index the index for this flow
      */
     void SetIndex(uint32_t index);
     /**
-     * \brief Get the index of this flow
-     * \return the index of this flow
+     * @brief Get the index of this flow
+     * @return the index of this flow
      */
     uint32_t GetIndex() const;
 
@@ -101,38 +101,38 @@
 };
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
- * \brief A FqCobalt packet queue disc
+ * @brief A FqCobalt packet queue disc
  */
 
 class FqCobaltQueueDisc : public QueueDisc
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief FqCobaltQueueDisc constructor
+     * @brief FqCobaltQueueDisc constructor
      */
     FqCobaltQueueDisc();
 
     ~FqCobaltQueueDisc() override;
 
     /**
-     * \brief Set the quantum value.
+     * @brief Set the quantum value.
      *
-     * \param quantum The number of bytes each queue gets to dequeue on each round of the scheduling
+     * @param quantum The number of bytes each queue gets to dequeue on each round of the scheduling
      * algorithm
      */
     void SetQuantum(uint32_t quantum);
 
     /**
-     * \brief Get the quantum value.
+     * @brief Get the quantum value.
      *
-     * \returns The number of bytes each queue gets to dequeue on each round of the scheduling
+     * @returns The number of bytes each queue gets to dequeue on each round of the scheduling
      * algorithm
      */
     uint32_t GetQuantum() const;
@@ -149,8 +149,8 @@
     void InitializeParams() override;
 
     /**
-     * \brief Drop a packet from the head of the queue with the largest current byte count
-     * \return the index of the queue with the largest current byte count
+     * @brief Drop a packet from the head of the queue with the largest current byte count
+     * @return the index of the queue with the largest current byte count
      */
     uint32_t FqCobaltDrop();
 
@@ -158,8 +158,8 @@
      * Compute the index of the queue for the flow having the given flowHash,
      * according to the set associative hash approach.
      *
-     * \param flowHash the hash of the flow 5-tuple
-     * \return the index of the queue for the given flow
+     * @param flowHash the hash of the flow 5-tuple
+     * @return the index of the queue for the given flow
      */
     uint32_t SetAssociativeHash(uint32_t flowHash);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/model/fq-codel-queue-disc.h ns-3.44/src/traffic-control/model/fq-codel-queue-disc.h
--- ns-3.43/src/traffic-control/model/fq-codel-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/model/fq-codel-queue-disc.h	2025-03-09 16:55:49.707372200 -0700
@@ -21,29 +21,29 @@
 {
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
- * \brief A flow queue used by the FqCoDel queue disc
+ * @brief A flow queue used by the FqCoDel queue disc
  */
 
 class FqCoDelFlow : public QueueDiscClass
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief FqCoDelFlow constructor
+     * @brief FqCoDelFlow constructor
      */
     FqCoDelFlow();
 
     ~FqCoDelFlow() override;
 
     /**
-     * \enum FlowStatus
-     * \brief Used to determine the status of this flow queue
+     * @enum FlowStatus
+     * @brief Used to determine the status of this flow queue
      */
     enum FlowStatus
     {
@@ -53,38 +53,38 @@
     };
 
     /**
-     * \brief Set the deficit for this flow
-     * \param deficit the deficit for this flow
+     * @brief Set the deficit for this flow
+     * @param deficit the deficit for this flow
      */
     void SetDeficit(uint32_t deficit);
     /**
-     * \brief Get the deficit for this flow
-     * \return the deficit for this flow
+     * @brief Get the deficit for this flow
+     * @return the deficit for this flow
      */
     int32_t GetDeficit() const;
     /**
-     * \brief Increase the deficit for this flow
-     * \param deficit the amount by which the deficit is to be increased
+     * @brief Increase the deficit for this flow
+     * @param deficit the amount by which the deficit is to be increased
      */
     void IncreaseDeficit(int32_t deficit);
     /**
-     * \brief Set the status for this flow
-     * \param status the status for this flow
+     * @brief Set the status for this flow
+     * @param status the status for this flow
      */
     void SetStatus(FlowStatus status);
     /**
-     * \brief Get the status of this flow
-     * \return the status of this flow
+     * @brief Get the status of this flow
+     * @return the status of this flow
      */
     FlowStatus GetStatus() const;
     /**
-     * \brief Set the index for this flow
-     * \param index the index for this flow
+     * @brief Set the index for this flow
+     * @param index the index for this flow
      */
     void SetIndex(uint32_t index);
     /**
-     * \brief Get the index of this flow
-     * \return the index of this flow
+     * @brief Get the index of this flow
+     * @return the index of this flow
      */
     uint32_t GetIndex() const;
 
@@ -95,38 +95,38 @@
 };
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
- * \brief A FqCoDel packet queue disc
+ * @brief A FqCoDel packet queue disc
  */
 
 class FqCoDelQueueDisc : public QueueDisc
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief FqCoDelQueueDisc constructor
+     * @brief FqCoDelQueueDisc constructor
      */
     FqCoDelQueueDisc();
 
     ~FqCoDelQueueDisc() override;
 
     /**
-     * \brief Set the quantum value.
+     * @brief Set the quantum value.
      *
-     * \param quantum The number of bytes each queue gets to dequeue on each round of the scheduling
+     * @param quantum The number of bytes each queue gets to dequeue on each round of the scheduling
      * algorithm
      */
     void SetQuantum(uint32_t quantum);
 
     /**
-     * \brief Get the quantum value.
+     * @brief Get the quantum value.
      *
-     * \returns The number of bytes each queue gets to dequeue on each round of the scheduling
+     * @returns The number of bytes each queue gets to dequeue on each round of the scheduling
      * algorithm
      */
     uint32_t GetQuantum() const;
@@ -143,8 +143,8 @@
     void InitializeParams() override;
 
     /**
-     * \brief Drop a packet from the head of the queue with the largest current byte count
-     * \return the index of the queue with the largest current byte count
+     * @brief Drop a packet from the head of the queue with the largest current byte count
+     * @return the index of the queue with the largest current byte count
      */
     uint32_t FqCoDelDrop();
 
@@ -153,8 +153,8 @@
      * Compute the index of the queue for the flow having the given flowHash,
      * according to the set associative hash approach.
      *
-     * \param flowHash the hash of the flow 5-tuple
-     * \return the index of the queue for the given flow
+     * @param flowHash the hash of the flow 5-tuple
+     * @return the index of the queue for the given flow
      */
     uint32_t SetAssociativeHash(uint32_t flowHash);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/model/fq-pie-queue-disc.h ns-3.44/src/traffic-control/model/fq-pie-queue-disc.h
--- ns-3.43/src/traffic-control/model/fq-pie-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/model/fq-pie-queue-disc.h	2025-03-09 16:55:49.707372200 -0700
@@ -26,29 +26,29 @@
 {
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
- * \brief A flow queue used by the FqPie queue disc
+ * @brief A flow queue used by the FqPie queue disc
  */
 
 class FqPieFlow : public QueueDiscClass
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief FqPieFlow constructor
+     * @brief FqPieFlow constructor
      */
     FqPieFlow();
 
     ~FqPieFlow() override;
 
     /**
-     * \enum FlowStatus
-     * \brief Used to determine the status of this flow queue
+     * @enum FlowStatus
+     * @brief Used to determine the status of this flow queue
      */
     enum FlowStatus
     {
@@ -58,38 +58,38 @@
     };
 
     /**
-     * \brief Set the deficit for this flow
-     * \param deficit the deficit for this flow
+     * @brief Set the deficit for this flow
+     * @param deficit the deficit for this flow
      */
     void SetDeficit(uint32_t deficit);
     /**
-     * \brief Get the deficit for this flow
-     * \return the deficit for this flow
+     * @brief Get the deficit for this flow
+     * @return the deficit for this flow
      */
     int32_t GetDeficit() const;
     /**
-     * \brief Increase the deficit for this flow
-     * \param deficit the amount by which the deficit is to be increased
+     * @brief Increase the deficit for this flow
+     * @param deficit the amount by which the deficit is to be increased
      */
     void IncreaseDeficit(int32_t deficit);
     /**
-     * \brief Set the status for this flow
-     * \param status the status for this flow
+     * @brief Set the status for this flow
+     * @param status the status for this flow
      */
     void SetStatus(FlowStatus status);
     /**
-     * \brief Get the status of this flow
-     * \return the status of this flow
+     * @brief Get the status of this flow
+     * @return the status of this flow
      */
     FlowStatus GetStatus() const;
     /**
-     * \brief Set the index for this flow
-     * \param index the index for this flow
+     * @brief Set the index for this flow
+     * @param index the index for this flow
      */
     void SetIndex(uint32_t index);
     /**
-     * \brief Get the index of this flow
-     * \return the index of this flow
+     * @brief Get the index of this flow
+     * @return the index of this flow
      */
     uint32_t GetIndex() const;
 
@@ -100,38 +100,38 @@
 };
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
- * \brief A FqPie packet queue disc
+ * @brief A FqPie packet queue disc
  */
 
 class FqPieQueueDisc : public QueueDisc
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief FqPieQueueDisc constructor
+     * @brief FqPieQueueDisc constructor
      */
     FqPieQueueDisc();
 
     ~FqPieQueueDisc() override;
 
     /**
-     * \brief Set the quantum value.
+     * @brief Set the quantum value.
      *
-     * \param quantum The number of bytes each queue gets to dequeue on each round of the scheduling
+     * @param quantum The number of bytes each queue gets to dequeue on each round of the scheduling
      * algorithm
      */
     void SetQuantum(uint32_t quantum);
 
     /**
-     * \brief Get the quantum value.
+     * @brief Get the quantum value.
      *
-     * \returns The number of bytes each queue gets to dequeue on each round of the scheduling
+     * @returns The number of bytes each queue gets to dequeue on each round of the scheduling
      * algorithm
      */
     uint32_t GetQuantum() const;
@@ -148,8 +148,8 @@
     void InitializeParams() override;
 
     /**
-     * \brief Drop a packet from the head of the queue with the largest current byte count
-     * \return the index of the queue with the largest current byte count
+     * @brief Drop a packet from the head of the queue with the largest current byte count
+     * @return the index of the queue with the largest current byte count
      */
     uint32_t FqPieDrop();
 
@@ -157,8 +157,8 @@
      * Compute the index of the queue for the flow having the given flowHash,
      * according to the set associative hash approach.
      *
-     * \param flowHash the hash of the flow 5-tuple
-     * \return the index of the queue for the given flow
+     * @param flowHash the hash of the flow 5-tuple
+     * @return the index of the queue for the given flow
      */
     uint32_t SetAssociativeHash(uint32_t flowHash);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/model/mq-queue-disc.h ns-3.44/src/traffic-control/model/mq-queue-disc.h
--- ns-3.43/src/traffic-control/model/mq-queue-disc.h	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/model/mq-queue-disc.h	2025-03-09 16:55:49.719372300 -0700
@@ -16,7 +16,7 @@
 {
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
  * mq is a classful multi-queue aware dummy scheduler. It has as many child
  * queue discs as the number of device transmission queues. Packets are
@@ -26,20 +26,20 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief MqQueueDisc constructor
+     * @brief MqQueueDisc constructor
      */
     MqQueueDisc();
 
     ~MqQueueDisc() override;
 
     /**
-     * \brief Return the wake mode adopted by this queue disc.
-     * \return the wake mode adopted by this queue disc.
+     * @brief Return the wake mode adopted by this queue disc.
+     * @return the wake mode adopted by this queue disc.
      */
     WakeMode GetWakeMode() const override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/traffic-control/model/packet-filter.h ns-3.44/src/traffic-control/model/packet-filter.h
--- ns-3.43/src/traffic-control/model/packet-filter.h	2024-10-09 16:41:10.100656700 -0700
+++ ns-3.44/src/traffic-control/model/packet-filter.h	2025-03-09 16:55:49.719372300 -0700
@@ -15,7 +15,7 @@
 class QueueDiscItem;
 
 /**
- * \ingroup traffic-control
+ * @ingroup traffic-control
  *
  * PacketFilter is the abstract base class for filters used by queue discs
  * to classify packets.
@@ -24,8 +24,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -38,11 +38,11 @@
     static const int PF_NO_MATCH = -1;
 
     /**
-     * \brief Classify a packet.
+     * @brief Classify a packet.
      *
-     * \param item the packet to classify.
+     * @param item the packet to classify.
      *
-     * \return -1 if this filter is not able to classify packets of the same protocol
+     * @return -1 if this filter is not able to classify packets of the same protocol
      * as item or the item does not match the filter conditions, the configured return
      * value otherwise.
      */
@@ -50,19 +50,19 @@
 
   private:
     /**
-     * \brief Checks if the filter is able to classify a kind of items.
+     * @brief Checks if the filter is able to classify a kind of items.
      *
-     * \param item an example item to check.
-     * \return true if this filter is able to classify packets.
+     * @param item an example item to check.
+     * @return true if this filter is able to classify packets.
      */
     virtual bool CheckProtocol(Ptr<QueueDiscItem> item) const = 0;
 
     /**
-     * \brief Classify a packet.
+     * @brief Classify a packet.
      *
-     * \param item the packet to classify.
+     * @param item the packet to classify.
      *
-     * \return -1 if the item does not match the filter conditions, or the configured
+     * @return -1 if the item does not match the filter conditions, or the configured
      * return value otherwise.
      */
     virtual int32_t DoClassify(Ptr<QueueDiscItem> item) const = 0;
